Bug 184065 - Update port: www/mod_wsgi www/mod_wsgi3 Rename to avoid package name collision
Update port: www/mod_wsgi www/mod_wsgi3 Rename to avoid package name collision
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 04:50 UTC by douglas
Modified: 2013-11-24 23:40 UTC (History)
1 user (show)

See Also:


Attachments
mod_wsgi.2013-11-19T035121Z.diff (2.33 KB, patch)
2013-11-19 04:50 UTC, douglas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description douglas 2013-11-19 04:50:00 UTC
Renamed www/mod_wsgi to mod_wsgi2 (it should probably also be moved to
www/mod_wsgi2) and renamed www/mod_wsgi3 to mod_wsgi3. Also, added STAGE support
to www/mod_wsgi. The changes to www/mod_wsgi3 depend on ports/183353.

https://redports.org/buildarchive/20131118011500-7360/
https://redports.org/buildarchive/20131118011800-54574/
Comment 1 Edwin Groothuis freebsd_committer 2013-11-19 04:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-11-20 20:58:46 UTC
Author: sunpoet
Date: Wed Nov 20 20:58:38 2013
New Revision: 334453
URL: http://svnweb.freebsd.org/changeset/ports/334453

Log:
  - Update MASTER_SITES
  - Update CONFLICTS
  - Support STAGEDIR
  - While I'm here, update USE_PYTHON
  
  PR:		ports/184065
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/mod_wsgi/Makefile

Modified: head/www/mod_wsgi/Makefile
==============================================================================
--- head/www/mod_wsgi/Makefile	Wed Nov 20 20:51:25 2013	(r334452)
+++ head/www/mod_wsgi/Makefile	Wed Nov 20 20:58:38 2013	(r334453)
@@ -5,9 +5,7 @@ PORTNAME=	mod_wsgi
 PORTVERSION=	2.8
 PORTREVISION=	2
 CATEGORIES=	www python
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE} \
-		http://apt.douglasthrift.net/files/${PORTNAME}/ \
-		http://code.douglasthrift.net/files/${PORTNAME}/
+MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${APACHE_PKGNAMEPREFIX}
 
 MAINTAINER=	douglas@douglasthrift.net
@@ -17,12 +15,12 @@ LICENSE=	AL2
 
 
 LATEST_LINK=	mod_wsgi2
-CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi-3.* mod_wsgi-3.*
+CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi-3.* ${PKGNAMEPREFIX}mod_wsgi3.* mod_wsgi-3.*
 
 PROJECTHOST=	modwsgi
 
 USE_APACHE=	22
-USE_PYTHON=	2.5-2.7
+USE_PYTHON=	-2.7
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS+=--with-apxs="${APXS}" --with-python="${PYTHON_CMD}"
@@ -31,7 +29,6 @@ SUB_FILES=	pkg-message
 
 PORTSCOUT=	limit:^2\.
 
-NO_STAGE=	yes
 pre-everything::
 	@${ECHO_MSG} "======================= ATTENTION! ======================"
 	@${ECHO_MSG}
@@ -42,6 +39,5 @@ pre-everything::
 
 post-install:
 	@${APXS} -e -a -n "${SHORTMODNAME}" "${APACHEMODDIR}/${MODULENAME}.so"
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-11-21 17:38:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2013-11-21 17:38:48 UTC
Author: sunpoet
Date: Thu Nov 21 17:38:40 2013
New Revision: 334504
URL: http://svnweb.freebsd.org/changeset/ports/334504

Log:
  - Fix PKGNAME collision
  - Update MASTER_SITES
  - Support STAGEDIR
  - While I'm here:
    - update USE_PYTHON
    - Remove outdated PYTHON_REL check
    - Use bsd.port.mk instead of bsd.port.pre.mk + bsd.port.post.mk
  
  PR:		ports/184065
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/mod_wsgi3/Makefile

Modified: head/www/mod_wsgi3/Makefile
==============================================================================
--- head/www/mod_wsgi3/Makefile	Thu Nov 21 16:55:54 2013	(r334503)
+++ head/www/mod_wsgi3/Makefile	Thu Nov 21 17:38:40 2013	(r334504)
@@ -6,32 +6,25 @@ PORTREVISION=	1
 CATEGORIES=	www python
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${APACHE_PKGNAMEPREFIX}
+PKGNAMESUFFIX=	3
 
 MAINTAINER=	douglas@douglasthrift.net
 COMMENT=	Python WSGI adapter module for Apache
 
 LICENSE=	AL2
 
-#LATEST_LINK=	mod_wsgi
 CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi-2.* mod_wsgi-2.*
 
 PROJECTHOST=	modwsgi
 
 USE_APACHE=	22+
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS+=--with-apxs="${APXS}" --with-python="${PYTHON_CMD}"
 
 SUB_FILES=	pkg-message
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-.if ${PYTHON_REL} >= 300 && ${PYTHON_REL} < 310
-IGNORE=		is unsupported with Python 3.0
-.endif
-
 pre-everything::
 	@${ECHO_MSG} "======================= ATTENTION! ======================"
 	@${ECHO_MSG}
@@ -42,6 +35,5 @@ pre-everything::
 
 post-install:
 	@${APXS} -e -a -n "${SHORTMODNAME}" "${APACHEMODDIR}/${MODULENAME}.so"
-	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 douglas.thrift 2013-11-21 18:06:24 UTC
My intent was for mod_wsgi 2.X to also have the PKGNAMESUFFIX= 2 as well
since mod_wsgi 2.X is really the legacy mod_wsgi and 3 is the current
recommended version. Could you add that change as well?

Thanks!
-- 
Douglas Thrift
RightScale - Linux Systems Engineer
<douglas.thrift@rightscale.com>
<http://www.rightscale.com/>
Comment 6 dfilter freebsd_committer 2013-11-24 23:33:25 UTC
Author: ohauer
Date: Sun Nov 24 23:33:15 2013
New Revision: 334797
URL: http://svnweb.freebsd.org/changeset/ports/334797

Log:
  - svn mv www/mod_wsgi www/mod_wsgi2 [1]
  - update ports to reflect new location
  - fix mod_wsgi3 build with python3
  
  PR:		184065 [1]
  PR		183353 [2]
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Added:
  head/www/mod_wsgi2/
     - copied from r334795, head/www/mod_wsgi/
  head/www/mod_wsgi3/files/patch-configure   (contents, props changed)
  head/www/mod_wsgi3/files/patch-configure.ac   (contents, props changed)
Deleted:
  head/www/mod_wsgi/
Modified:
  head/MOVED
  head/UPDATING
  head/mail/automx/Makefile
  head/www/Makefile
  head/www/linkchecker/Makefile
  head/www/mod_wsgi2/Makefile
  head/www/mod_wsgi3/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/MOVED	Sun Nov 24 23:33:15 2013	(r334797)
@@ -5251,3 +5251,4 @@ audio/gstreamer1-plugins-celt||2013-11-2
 math/p5-MatrixReal|math/p5-Math-MatrixReal|2013-11-22|Rename to match upstream naming
 lang/gcc42|lang/gcc46|2013-11-23|Superseded by GCC 4.6 or later
 devel/p5-IO||2013-11-23|Removed: newer versions are included in all supported Perl releases
+www/mod_wsgi|www/mod_wsgi2|2013-11-24|Rename to match version

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/UPDATING	Sun Nov 24 23:33:15 2013	(r334797)
@@ -5,6 +5,18 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20131125:
+  AFFECTS: users of www/mod_wsgi
+  AUTHOR: ohauer@FreeBSD.org
+
+  The port www/mod_wsgi moved to www/mod_wsgi2 to reflect the port version.
+
+  # portmaster -o www/mod_wsgi2 www/mod_wsgi
+    or
+  # portupgrade -fo www/mod_wsgi2 www/mod_wsgi
+    or
+  # pkg set -o www/mod_wsgi:www/mod_wsgi2
+
 20131120:
   AFFECTS: users of lang/perl5.12 lang/perl5.14 lang/perl5.16 and lang/perl5.18
   AUTHOR: mat@FreeBSD.org

Modified: head/mail/automx/Makefile
==============================================================================
--- head/mail/automx/Makefile	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/mail/automx/Makefile	Sun Nov 24 23:33:15 2013	(r334797)
@@ -2,6 +2,7 @@
 
 PORTNAME=	automx
 PORTVERSION=	0.9
+PORTREVISION=	1
 CATEGORIES=	mail
 MASTER_SITES=	http://www.automx.org/download/
 
@@ -10,7 +11,7 @@ COMMENT=	Handles mail account profile re
 
 LICENSE=	GPLv3
 
-RUN_DEPENDS=	${LOCALBASE}/${APACHEMODDIR}/mod_wsgi.so:${PORTSDIR}/www/mod_wsgi \
+RUN_DEPENDS=	${LOCALBASE}/${APACHEMODDIR}/mod_wsgi.so:${PORTSDIR}/www/mod_wsgi2 \
 		${PYTHON_PKGNAMEPREFIX}lxml>=0:${PORTSDIR}/devel/py-lxml \
 		bash:${PORTSDIR}/shells/bash \
 		wget:${PORTSDIR}/ftp/wget

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/www/Makefile	Sun Nov 24 23:33:15 2013	(r334797)
@@ -535,7 +535,7 @@
     SUBDIR += mod_vhs
     SUBDIR += mod_webkit
     SUBDIR += mod_whatkilledus
-    SUBDIR += mod_wsgi
+    SUBDIR += mod_wsgi2
     SUBDIR += mod_wsgi3
     SUBDIR += mod_xml2enc
     SUBDIR += mod_xmlns

Modified: head/www/linkchecker/Makefile
==============================================================================
--- head/www/linkchecker/Makefile	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/www/linkchecker/Makefile	Sun Nov 24 23:33:15 2013	(r334797)
@@ -3,6 +3,7 @@
 
 PORTNAME=	linkchecker
 PORTVERSION=	8.4
+PORTREVISION=	1
 CATEGORIES=	www python
 MASTER_SITES=	GHC
 DISTNAME=	LinkChecker-${PORTVERSION}
@@ -86,7 +87,7 @@ RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}css
 
 # To run the WSGI Web interface
 .if ${PORT_OPTIONS:MWSGI}
-RUN_DEPENDS+=	${APACHE_PKGNAMEPREFIX}mod_wsg>0:${PORTSDIR}/www/mod_wsgi
+RUN_DEPENDS+=	${APACHE_PKGNAMEPREFIX}mod_wsg>0:${PORTSDIR}/www/mod_wsgi2
 USE_APACHE_RUN=	22
 .endif
 

Modified: head/www/mod_wsgi2/Makefile
==============================================================================
--- head/www/mod_wsgi/Makefile	Sun Nov 24 22:21:47 2013	(r334795)
+++ head/www/mod_wsgi2/Makefile	Sun Nov 24 23:33:15 2013	(r334797)
@@ -7,14 +7,13 @@ PORTREVISION=	2
 CATEGORIES=	www python
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${APACHE_PKGNAMEPREFIX}
+PKGNAMESUFFIX=	2
 
 MAINTAINER=	douglas@douglasthrift.net
 COMMENT=	Python WSGI adapter module for Apache
 
 LICENSE=	AL2
 
-
-LATEST_LINK=	mod_wsgi2
 CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi-3.* ${PKGNAMEPREFIX}mod_wsgi3.* mod_wsgi-3.*
 
 PROJECTHOST=	modwsgi

Modified: head/www/mod_wsgi3/Makefile
==============================================================================
--- head/www/mod_wsgi3/Makefile	Sun Nov 24 23:11:10 2013	(r334796)
+++ head/www/mod_wsgi3/Makefile	Sun Nov 24 23:33:15 2013	(r334797)
@@ -13,7 +13,8 @@ COMMENT=	Python WSGI adapter module for 
 
 LICENSE=	AL2
 
-CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi-2.* mod_wsgi-2.*
+CONFLICTS=	${PKGNAMEPREFIX}mod_wsgi2.* mod_wsgi2.* \
+		${PKGNAMEPREFIX}mod_wsgi-2.* mod_wsgi-2.*
 
 PROJECTHOST=	modwsgi
 

Added: head/www/mod_wsgi3/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/mod_wsgi3/files/patch-configure	Sun Nov 24 23:33:15 2013	(r334797)
@@ -0,0 +1,49 @@
+--- configure.orig	Thu Oct 18 21:12:46 2012 +1100
++++ configure		Thu Oct 18 21:14:28 2012 +1100
+@@ -1785,7 +1785,15 @@
+ 
+ PYTHON_VERSION=`${PYTHON} -c 'from sys import stdout; \
+     from distutils import sysconfig; \
+-    stdout.write((sysconfig.get_config_var("VERSION")))'`
++    stdout.write(sysconfig.get_config_var("VERSION"))'`
++
++PYTHON_LDVERSION=`${PYTHON} -c 'from sys import stdout; \
++    from distutils import sysconfig; \
++    stdout.write(sysconfig.get_config_var("LDVERSION") or "")'`
++
++if test x"${PYTHON_LDVERSION}" = x""; then
++    PYTHON_LDVERSION=${PYTHON_VERSION}
++fi
+ 
+ CPPFLAGS1=`${PYTHON} -c 'from sys import stdout; \
+     from distutils import sysconfig; \
+@@ -1823,12 +1831,28 @@
+     from distutils import sysconfig; \
+     stdout.write(sysconfig.get_config_var("PYTHONFRAMEWORK"))'`
+ 
++if test "${PYTHON_LDVERSION}" != "${PYTHON_VERSION}"; then
++    PYTHONCFGDIR="${PYTHONCFGDIR}-${PYTHON_LDVERSION}"
++fi
++
+ if test "${PYTHONFRAMEWORKDIR}" = "no-framework" -o \
+         "${ENABLE_FRAMEWORK}" != "yes"; then
+     LDFLAGS1="-L${PYTHONLIBDIR}"
+     LDFLAGS2="-L${PYTHONCFGDIR}"
+ 
+-    LDLIBS1="-lpython${PYTHON_VERSION}"
++    LDLIBS1="-lpython${PYTHON_LDVERSION}"
++
++    # MacOS X seems to be broken and doesn't use ABIFLAGS suffix
++    # so add a check to try and work out what we need to do.
++
++    if test -f "${PYTHONLIBDIR}/libpython${PYTHON_VERSION}.a"; then
++        LDLIBS1="-lpython${PYTHON_VERSION}"
++    fi
++
++    if test -f "${PYTHONCFGDIR}/libpython${PYTHON_VERSION}.a"; then
++        LDLIBS1="-lpython${PYTHON_VERSION}"
++    fi
++
+     LDLIBS2=`${PYTHON} -c 'from sys import stdout; \
+         from distutils import sysconfig; \
+         stdout.write(sysconfig.get_config_var("LIBS"))'`

Added: head/www/mod_wsgi3/files/patch-configure.ac
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/mod_wsgi3/files/patch-configure.ac	Sun Nov 24 23:33:15 2013	(r334797)
@@ -0,0 +1,50 @@
+--- configure.ac.orig	Thu Oct 18 21:12:46 2012 +1100
++++ configure.ac	Thu Oct 18 21:14:28 2012 +1100
+@@ -75,7 +75,15 @@
+ 
+ PYTHON_VERSION=`${PYTHON} -c 'from sys import stdout; \
+     from distutils import sysconfig; \
+-    stdout.write((sysconfig.get_config_var("VERSION")))'`
++    stdout.write(sysconfig.get_config_var("VERSION"))'`
++
++PYTHON_LDVERSION=`${PYTHON} -c 'from sys import stdout; \
++    from distutils import sysconfig; \
++    stdout.write(sysconfig.get_config_var("LDVERSION") or "")'`
++
++if test x"${PYTHON_LDVERSION}" = x""; then
++    PYTHON_LDVERSION=${PYTHON_VERSION}
++fi
+ 
+ CPPFLAGS1=`${PYTHON} -c 'from sys import stdout; \
+     from distutils import sysconfig; \
+@@ -113,12 +121,28 @@
+     from distutils import sysconfig; \
+     stdout.write(sysconfig.get_config_var("PYTHONFRAMEWORK"))'`
+ 
++if test "${PYTHON_LDVERSION}" != "${PYTHON_VERSION}"; then
++    PYTHONCFGDIR="${PYTHONCFGDIR}-${PYTHON_LDVERSION}"
++fi
++
+ if test "${PYTHONFRAMEWORKDIR}" = "no-framework" -o \
+         "${ENABLE_FRAMEWORK}" != "yes"; then
+     LDFLAGS1="-L${PYTHONLIBDIR}"
+     LDFLAGS2="-L${PYTHONCFGDIR}"
+ 
+-    LDLIBS1="-lpython${PYTHON_VERSION}"
++    LDLIBS1="-lpython${PYTHON_LDVERSION}"
++
++    # MacOS X seems to be broken and doesn't use ABIFLAGS suffix
++    # so add a check to try and work out what we need to do.
++
++    if test -f "${PYTHONLIBDIR}/libpython${PYTHON_VERSION}.a"; then
++        LDLIBS1="-lpython${PYTHON_VERSION}"
++    fi
++
++    if test -f "${PYTHONCFGDIR}/libpython${PYTHON_VERSION}.a"; then
++        LDLIBS1="-lpython${PYTHON_VERSION}"
++    fi
++
+     LDLIBS2=`${PYTHON} -c 'from sys import stdout; \
+         from distutils import sysconfig; \
+         stdout.write(sysconfig.get_config_var("LIBS"))'`
+
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"